<?php

if ( class_exists("Kirki")){

	// LOGO

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'slider',
		'settings'    => 'bakery_cafe_logo_resizer',
		'label'       => esc_html__( 'Adjust Your Logo Size ', 'bakery-cafe' ),
		'section'     => 'title_tagline',
		'default'     => 70,
		'choices'     => [
			'min'  => 10,
			'max'  => 300,
			'step' => 10,
		],
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'bakery_cafe_enable_logo_text',
		'section'     => 'title_tagline',
			'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Enable / Disable Site Title and Tagline', 'bakery-cafe' ) . '</h3>',
		'priority'    => 10,
	] );

    Kirki::add_field( 'theme_config_id', [
		'type'        => 'switch',
		'settings'    => 'bakery_cafe_display_header_title',
		'label'       => esc_html__( 'Site Title Enable / Disable Button', 'bakery-cafe' ),
		'section'     => 'title_tagline',
		'default'     => '1',
		'priority'    => 10,
		'choices'     => [
			'on'  => esc_html__( 'Enable', 'bakery-cafe' ),
			'off' => esc_html__( 'Disable', 'bakery-cafe' ),
		],
		'partial_refresh'    => [
		'bakery_cafe_display_header_title' => [
			'selector'        => '.logo a',
			'render_callback' => function() {
				return get_bloginfo( 'name', 'display' );
			},
		],
	],
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'switch',
		'settings'    => 'bakery_cafe_display_header_text',
		'label'       => esc_html__( 'Tagline Enable / Disable Button', 'bakery-cafe' ),
		'section'     => 'title_tagline',
		'default'     => false,
		'priority'    => 10,
		'choices'     => [
			'on'  => esc_html__( 'Enable', 'bakery-cafe' ),
			'off' => esc_html__( 'Disable', 'bakery-cafe' ),
		],
		'partial_refresh'    => [
		'bakery_cafe_display_header_text' => [
			'selector'        => '.logo-content span',
			'render_callback' => function() {
				return get_bloginfo( 'name', 'display' );
			},
		],
	],
	] );

	//FONT STYLE TYPOGRAPHY

	Kirki::add_panel( 'bakery_cafe_panel_id', array(
	    'priority'    => 10,
	    'title'       => esc_html__( 'Typography', 'bakery-cafe' ),
	) );

	Kirki::add_section( 'bakery_cafe_font_style_section', array(
		'title'      => esc_attr__( 'Typography Option',  'bakery-cafe' ),
		'priority'   => 2,
		'capability' => 'edit_theme_options',
	) );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'bakery_cafe_all_headings_typography',
		'section'     => 'bakery_cafe_font_style_section',
			'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Heading Of All Sections',  'bakery-cafe' ) . '</h3>',
		'priority'    => 10,
	] );

	Kirki::add_field( 'global', array(
		'type'        => 'typography',
		'settings'    => 'bakery_cafe_all_headings_typography',
		'label'       => esc_attr__( 'Heading Typography',  'bakery-cafe' ),
		'description' => esc_attr__( 'Select the typography options for your heading.',  'bakery-cafe' ),
		'help'        => esc_attr__( 'The typography options you set here will override the Body Typography options for all headers on your site (post titles, widget titles etc).',  'bakery-cafe' ),
		'section'     => 'bakery_cafe_font_style_section',
		'priority'    => 10,
		'default'     => array(
			'font-family'    => '',
			'variant'        => '',
		),
		'output' => array(
			array(
				'element' => array( 'h1','h2','h3','h4','h5','h6', ),
			),
		),
	) );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'bakery_cafe_body_content_typography',
		'section'     => 'bakery_cafe_font_style_section',
			'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Body Content',  'bakery-cafe' ) . '</h3>',
		'priority'    => 10,
	] );

	Kirki::add_field( 'global', array(
		'type'        => 'typography',
		'settings'    => 'bakery_cafe_body_content_typography',
		'label'       => esc_attr__( 'Content Typography',  'bakery-cafe' ),
		'description' => esc_attr__( 'Select the typography options for your heading.',  'bakery-cafe' ),
		'help'        => esc_attr__( 'The typography options you set here will override the Body Typography options for all headers on your site (post titles, widget titles etc).',  'bakery-cafe' ),
		'section'     => 'bakery_cafe_font_style_section',
		'priority'    => 10,
		'default'     => array(
			'font-family'    => '',
			'variant'        => '',
		),
		'output' => array(
			array(
				'element' => array( 'body', ),
			),
		),
	) );

	// PANEL

	Kirki::add_panel( 'bakery_cafe_panel_id', array(
	    'priority'    => 10,
	    'title'       => esc_html__( 'Theme Options', 'bakery-cafe' ),
	) );

	// Additional Settings

	Kirki::add_section( 'bakery_cafe_additional_settings', array(
	    'title'          => esc_html__( 'Additional Settings', 'bakery-cafe' ),
	    'description'    => esc_html__( 'Scroll To Top', 'bakery-cafe' ),
	    'panel'          => 'bakery_cafe_panel_id',
	    'priority'       => 10,
	) );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'toggle',
		'settings'    => 'bakery_cafe_scroll_enable_setting',
		'label'       => esc_html__( 'Here you can enable or disable your scroller.', 'bakery-cafe' ),
		'section'     => 'bakery_cafe_additional_settings',
		'default'     => '1',
		'priority'    => 10,
		'partial_refresh'    => [
		'bakery_cafe_scroll_enable_setting' => [
			'selector'        => '.scroll-up a',
			'render_callback' => function() {
				return get_bloginfo( 'name', 'display' );
			},
		],
	],
	] );

	new \Kirki\Field\Radio_Buttonset(
	[
		'settings'    => 'bakery_cafe_scroll_top_position',
		'label'       => esc_html__( 'Alignment for Scroll To Top', 'bakery-cafe' ),
		'section'     => 'bakery_cafe_additional_settings',
		'default'     => 'Right',
		'priority'    => 10,
		'choices'     => [
			'Left'   => esc_html__( 'Left', 'bakery-cafe' ),
			'Center' => esc_html__( 'Center', 'bakery-cafe' ),
			'Right'  => esc_html__( 'Right', 'bakery-cafe' ),
		],
	]
	);

		Kirki::add_field( 'theme_config_id', [
		'type'     => 'dashicons',
		'settings' => 'bakery_cafe_scroll_top_icon',
		'label'    => esc_html__( 'Select Appropriate Scroll Top Icon', 'bakery-cafe' ),
		'section'  => 'bakery_cafe_additional_settings',
		'default'  => 'dashicons dashicons-arrow-up-alt',
		'priority' => 10,
	] );


	new \Kirki\Field\Select(
	[
		'settings'    => 'menu_text_transform_bakery_cafe',
		'label'       => esc_html__( 'Menus Text Transform', 'bakery-cafe' ),
		'section'     => 'bakery_cafe_additional_settings',
		'default'     => 'UPPERCASE',
		'placeholder' => esc_html__( 'Choose an option', 'bakery-cafe' ),
		'choices'     => [
			'CAPITALISE' => esc_html__( 'CAPITALISE', 'bakery-cafe' ),
			'UPPERCASE' => esc_html__( 'UPPERCASE', 'bakery-cafe' ),
			'LOWERCASE' => esc_html__( 'LOWERCASE', 'bakery-cafe' ),

		],
	]
	);

	
	new \Kirki\Field\Select(
	[
		'settings'    => 'bakery_cafe_menu_zoom',
		'label'       => esc_html__( 'Menu Transition', 'bakery-cafe' ),
		'section'     => 'bakery_cafe_additional_settings',
		'default' => 'None',
		'placeholder' => esc_html__( 'Choose an option', 'bakery-cafe' ),
		'choices'     => [
			'None' => __('None','bakery-cafe'),
            'Zoominn' => __('Zoom Inn','bakery-cafe'),
            
		],
	] );


	Kirki::add_field( 'theme_config_id', [
		'type'        => 'slider',
		'settings'    => 'bakery_cafe_container_width',
		'label'       => esc_html__( 'Theme Container Width', 'bakery-cafe' ),
		'section'     => 'bakery_cafe_additional_settings',
		'default'     => 100,
		'choices'     => [
			'min'  => 50,
			'max'  => 100,
			'step' => 1,
		],
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'toggle',
		'settings'    => 'bakery_cafe_sticky_header',
		'label'       => esc_html__( 'Here you can enable or disable your Sticky Header.', 'bakery-cafe' ),
		'section'     => 'bakery_cafe_additional_settings',
		'default'     => false,
		'priority'    => 10,
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'toggle',
		'settings'    => 'bakery_cafe_site_loader',
		'label'       => esc_html__( 'Here you can enable or disable your Site Loader.', 'bakery-cafe' ),
		'section'     => 'bakery_cafe_additional_settings',
		'default'     => false,
		'priority'    => 10,
	] );

	new \Kirki\Field\Select(
	[
		'settings'    => 'bakery_cafe_page_layout',
		'label'       => esc_html__( 'Page Layout Setting', 'bakery-cafe' ),
		'section'     => 'bakery_cafe_additional_settings',
		'default' => 'Right Sidebar',
		'placeholder' => esc_html__( 'Choose an option', 'bakery-cafe' ),
		'choices'     => [
			'Left Sidebar' => __('Left Sidebar','bakery-cafe'),
            'Right Sidebar' => __('Right Sidebar','bakery-cafe'),
            'One Column' => __('One Column','bakery-cafe')
		],
	] );

	if ( class_exists("woocommerce")){

	// Woocommerce Settings

	Kirki::add_section( 'bakery_cafe_woocommerce_settings', array(
			'title'          => esc_html__( 'Woocommerce Settings', 'bakery-cafe' ),
			'description'    => esc_html__( 'Shop Page', 'bakery-cafe' ),
			'panel'          => 'bakery_cafe_panel_id',
			'priority'       => 160,
	) );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'toggle',
		'settings'    => 'bakery_cafe_shop_sidebar',
		'label'       => esc_html__( 'Here you can enable or disable shop page sidebar.', 'bakery-cafe' ),
		'section'     => 'bakery_cafe_woocommerce_settings',
		'default'     => '1',
		'priority'    => 10,
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'toggle',
		'settings'    => 'bakery_cafe_product_sidebar',
		'label'       => esc_html__( 'Here you can enable or disable product page sidebar.', 'bakery-cafe' ),
		'section'     => 'bakery_cafe_woocommerce_settings',
		'default'     => '1',
		'priority'    => 10,
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'toggle',
		'settings'    => 'bakery_cafe_related_product_setting',
		'label'       => esc_html__( 'Here you can enable or disable your related products.', 'bakery-cafe' ),
		'section'     => 'bakery_cafe_woocommerce_settings',
		'default'     => true,
		'priority'    => 10,
	] );

	new \Kirki\Field\Number(
		[
			'settings' => 'bakery_cafe_per_columns',
			'label'    => esc_html__( 'Product Per Row', 'bakery-cafe' ),
			'section'  => 'bakery_cafe_woocommerce_settings',
			'default'  => 3,
			'choices'  => [
				'min'  => 1,
				'max'  => 4,
				'step' => 1,
			],
		]
	);

	new \Kirki\Field\Number(
		[
			'settings' => 'bakery_cafe_product_per_page',
			'label'    => esc_html__( 'Product Per Page', 'bakery-cafe' ),
			'section'  => 'bakery_cafe_woocommerce_settings',
			'default'  => 9,
			'choices'  => [
				'min'  => 1,
				'max'  => 15,
				'step' => 1,
			],
		]
	);

	new \Kirki\Field\Number(
	[
		'settings' => 'custom_related_products_number_per_row',
		'label'    => esc_html__( 'Related Product Per Column', 'bakery-cafe' ),
		'section'  => 'bakery_cafe_woocommerce_settings',
		'default'  => 3,
		'choices'  => [
			'min'  => 1,
			'max'  => 4,
			'step' => 1,
		],
	]
	);

	new \Kirki\Field\Number(
	[
		'settings' => 'custom_related_products_number',
		'label'    => esc_html__( 'Related Product Per Page', 'bakery-cafe' ),
		'section'  => 'bakery_cafe_woocommerce_settings',
		'default'  => 3,
		'choices'  => [
			'min'  => 1,
			'max'  => 10,
			'step' => 1,
		],
	]
	);

	new \Kirki\Field\Select(
	[
		'settings'    => 'bakery_cafe_shop_page_layout',
		'label'       => esc_html__( 'Shop Page Layout Setting', 'bakery-cafe' ),
		'section'     => 'bakery_cafe_woocommerce_settings',
		'default' => 'Right Sidebar',
		'placeholder' => esc_html__( 'Choose an option', 'bakery-cafe' ),
		'choices'     => [
			'Left Sidebar' => __('Left Sidebar','bakery-cafe'),
            'Right Sidebar' => __('Right Sidebar','bakery-cafe')
		],
	] );

	new \Kirki\Field\Select(
	[
		'settings'    => 'bakery_cafe_product_page_layout',
		'label'       => esc_html__( 'Product Page Layout Setting', 'bakery-cafe' ),
		'section'     => 'bakery_cafe_woocommerce_settings',
		'default' => 'Right Sidebar',
		'placeholder' => esc_html__( 'Choose an option', 'bakery-cafe' ),
		'choices'     => [
			'Left Sidebar' => __('Left Sidebar','bakery-cafe'),
            'Right Sidebar' => __('Right Sidebar','bakery-cafe')
		],
	] );

	new \Kirki\Field\Radio_Buttonset( [
		'settings'    => 'bakery_cafe_woocommerce_pagination_position',
		'label'       => esc_html__( 'Woocommerce Pagination Alignment', 'bakery-cafe' ),
		'section'     => 'bakery_cafe_woocommerce_settings',
		'default'     => 'Center',
		'priority'    => 10,
		'choices'     => [
			'Left'   => esc_html__( 'Left', 'bakery-cafe' ),
			'Center' => esc_html__( 'Center', 'bakery-cafe' ),
			'Right'  => esc_html__( 'Right', 'bakery-cafe' ),
		],
	]
	);

}

	// POST SECTION

	Kirki::add_section( 'bakery_cafe_section_post', array(
	    'title'          => esc_html__( 'Post Settings', 'bakery-cafe' ),
	    'description'    => esc_html__( 'Here you can get different post settings', 'bakery-cafe' ),
	    'panel'          => 'bakery_cafe_panel_id',
	    'priority'       => 160,
	) );

	new \Kirki\Field\Sortable(
	[
		'settings' => 'bakery_cafe_archive_element_sortable',
		'label'    => __( 'Archive Post Page element Reordering', 'bakery-cafe' ),
		'section'  => 'bakery_cafe_section_post',
		'default'  => [ 'option1', 'option2', 'option3' ],
		'choices'  => [
			'option1' => esc_html__( 'Post Meta', 'bakery-cafe' ),
			'option2' => esc_html__( 'Post Title', 'bakery-cafe' ),
			'option3' => esc_html__( 'Post Content', 'bakery-cafe' ),
		],
	]
	);
	Kirki::add_field( 'theme_config_id', [
		'type'        => 'toggle',
		'settings'    => 'bakery_cafe_pagination_setting',
		'label'       => esc_html__( 'Here you can enable or disable your Pagination.', 'bakery-cafe' ),
		'section'     => 'bakery_cafe_section_post',
		'default'     => true,
		'priority'    => 10,
	] );

	new \Kirki\Field\Select(
	[
		'settings'    => 'bakery_cafe_archive_sidebar_layout',
		'label'       => esc_html__( 'Archive Post Sidebar Layout Setting', 'bakery-cafe' ),
		'section'     => 'bakery_cafe_section_post',
		'default' => 'Right Sidebar',
		'placeholder' => esc_html__( 'Choose an option', 'bakery-cafe' ),
		'choices'     => [
			'Left Sidebar' => __('Left Sidebar','bakery-cafe'),
            'Right Sidebar' => __('Right Sidebar','bakery-cafe')
		],
	] );

	new \Kirki\Field\Select(
	[
		'settings'    => 'bakery_cafe_single_post_sidebar_layout',
		'label'       => esc_html__( 'Single Post Sidebar Layout Setting', 'bakery-cafe' ),
		'section'     => 'bakery_cafe_section_post',
		'default' => 'Right Sidebar',
		'placeholder' => esc_html__( 'Choose an option', 'bakery-cafe' ),
		'choices'     => [
			'Left Sidebar' => __('Left Sidebar','bakery-cafe'),
            'Right Sidebar' => __('Right Sidebar','bakery-cafe')
		],
	] );

	new \Kirki\Field\Select(
	[
		'settings'    => 'bakery_cafe_search_sidebar_layout',
		'label'       => esc_html__( 'Search Page Sidebar Layout Setting', 'bakery-cafe' ),
		'section'     => 'bakery_cafe_section_post',
		'default' => 'Right Sidebar',
		'placeholder' => esc_html__( 'Choose an option', 'bakery-cafe' ),
		'choices'     => [
			'Left Sidebar' => __('Left Sidebar','bakery-cafe'),
            'Right Sidebar' => __('Right Sidebar','bakery-cafe')
		],
	] );

	Kirki::add_field( 'bakery_cafe_config', [
		'type'        => 'select',
		'settings'    => 'bakery_cafe_post_column_count',
		'label'       => esc_html__( 'Grid Column for Archive Page', 'bakery-cafe' ),
		'section'     => 'bakery_cafe_section_post',
		'default'    => '2',
		'choices' => [
				'1' => __( '1 Column', 'bakery-cafe' ),
				'2' => __( '2 Column', 'bakery-cafe' ),
				'3' => __( '3 Column', 'bakery-cafe' ),
				'4' => __( '4 Column', 'bakery-cafe' ),
			],
	] );

	// HEADER SECTION

	Kirki::add_section( 'bakery_cafe_section_header', array(
	    'title'          => esc_html__( 'Header Settings', 'bakery-cafe' ),
	    'description'    => esc_html__( 'Here you can add different type of social icons.', 'bakery-cafe' ),
	    'panel'          => 'bakery_cafe_panel_id',
	    'priority'       => 160,
	) );

    Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'bakery_cafe_button1_text',
		'section'     => 'bakery_cafe_section_header',
			'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Button 1 Text', 'bakery-cafe' ) . '</h3>',
		'priority'    => 10,
	] );

    Kirki::add_field( 'theme_config_id', [
		'type'     => 'text',
		'label'    => __( 'Add Text', 'bakery-cafe' ),
		'settings' => 'bakery_cafe_register_text',
		'section'  => 'bakery_cafe_section_header',
		'default'  => '',
		'priority' => 10,
		'partial_refresh'    => [
		'bakery_cafe_register_text' => [
			'selector'        => '.top-header a',
			'render_callback' => function() {
				return get_bloginfo( 'name', 'display' );
			},
		],
	],
	] );

    Kirki::add_field( 'theme_config_id', [
		'type'     => 'link',
		'label'    => __( 'Add Link', 'bakery-cafe' ),
		'settings' => 'bakery_cafe_register_link',
		'section'  => 'bakery_cafe_section_header',
		'default'  => '',
		'priority' => 10,
	] );

    Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'bakery_cafe_button2_text',
		'section'     => 'bakery_cafe_section_header',
			'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Button 2 Text', 'bakery-cafe' ) . '</h3>',
		'priority'    => 10,
	] );

    Kirki::add_field( 'theme_config_id', [
		'type'     => 'text',
		'label'    => __( 'Add Text', 'bakery-cafe' ),
		'settings' => 'bakery_cafe_login_text',
		'section'  => 'bakery_cafe_section_header',
		'default'  => '',
		'priority' => 10,
	] );

    Kirki::add_field( 'theme_config_id', [
		'type'     => 'link',
		'label'    => __( 'Add Link', 'bakery-cafe' ),
		'settings' => 'bakery_cafe_login_link',
		'section'  => 'bakery_cafe_section_header',
		'default'  => '',
		'priority' => 10,
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'bakery_cafe_enable_search',
		'section'     => 'bakery_cafe_section_header',
			'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Enable / Disable Search Box', 'bakery-cafe' ) . '</h3>',
		'priority'    => 10,
	] );

    Kirki::add_field( 'theme_config_id', [
		'type'        => 'switch',
		'settings'    => 'bakery_cafe_search_box_enable',
		'label'       => esc_html__( 'Search Enable / Disable Button', 'bakery-cafe' ),
		'section'     => 'bakery_cafe_section_header',
		'default'     => '1',
		'priority'    => 10,
		'choices'     => [
			'on'  => esc_html__( 'Enable', 'bakery-cafe' ),
			'off' => esc_html__( 'Disable', 'bakery-cafe' ),
		],
		'partial_refresh'    => [
		'bakery_cafe_search_box_enable' => [
			'selector'        => '.header-search',
			'render_callback' => function() {
				return get_bloginfo( 'name', 'display' );
			},
		],
	],
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'bakery_cafe_enable_cart',
		'section'     => 'bakery_cafe_section_header',
			'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Enable / Disable Cart', 'bakery-cafe' ) . '</h3>',
		'priority'    => 10,
	] );

    Kirki::add_field( 'theme_config_id', [
		'type'        => 'switch',
		'settings'    => 'bakery_cafe_cart_box_enable',
		'label'       => esc_html__( 'Cart Enable / Disable Button', 'bakery-cafe' ),
		'section'     => 'bakery_cafe_section_header',
		'default'     => '1',
		'priority'    => 10,
		'choices'     => [
			'on'  => esc_html__( 'Enable', 'bakery-cafe' ),
			'off' => esc_html__( 'Disable', 'bakery-cafe' ),
		],
		'partial_refresh'    => [
		'bakery_cafe_cart_box_enable' => [
			'selector'        => 'a.cart-customlocation',
			'render_callback' => function() {
				return get_bloginfo( 'name', 'display' );
			},
		],
	],
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'bakery_cafe_enable_socail_link',
		'section'     => 'bakery_cafe_section_header',
			'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Social Media Link', 'bakery-cafe' ) . '</h3>',
		'priority'    => 10,
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'repeater',
		'section'     => 'bakery_cafe_section_header',
		'priority'    => 10,
		'row_label' => [
			'type'  => 'field',
			'value' => esc_html__( 'Social Icon', 'bakery-cafe' ),
			'field' => 'link_text',
		],
		'button_label' => esc_html__('Add New Social Icon', 'bakery-cafe' ),
		'settings'     => 'bakery_cafe_social_links_settings',
		'default'      => '',
		'fields' 	   => [
			'link_text' => [
				'type'        => 'text',
				'label'       => esc_html__( 'Icon', 'bakery-cafe' ),
				'description' => esc_html__( 'Add the fontawesome class ex: "fab fa-facebook-f".', 'bakery-cafe' ),
				'default'     => '',
			],
			'link_url' => [
				'type'        => 'url',
				'label'       => esc_html__( 'Social Link', 'bakery-cafe' ),
				'description' => esc_html__( 'Add the social icon url here.', 'bakery-cafe' ),
				'default'     => '',
			],
		],
		'choices' => [
			'limit' => 5
		],
		'partial_refresh'    => [
		'bakery_cafe_social_links_settings' => [
			'selector'        => '.social-links a',
			'render_callback' => function() {
				return get_bloginfo( 'name', 'display' );
			},
		],
	],
	] );

	// SLIDER SECTION

	Kirki::add_section( 'bakery_cafe_blog_slide_section', array(
        'title'          => esc_html__( ' Slider Settings', 'bakery-cafe' ),
        'description'    => esc_html__( 'You have to select post category to show slider.', 'bakery-cafe' ),
        'panel'          => 'bakery_cafe_panel_id',
        'priority'       => 160,
    ) );

    Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'bakery_cafe_enable_heading',
		'section'     => 'bakery_cafe_blog_slide_section',
			'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Enable / Disable Slider', 'bakery-cafe' ) . '</h3>',
		'priority'    => 10,
	] );

    Kirki::add_field( 'theme_config_id', [
		'type'        => 'switch',
		'settings'    => 'bakery_cafe_blog_box_enable',
		'label'       => esc_html__( 'Section Enable / Disable', 'bakery-cafe' ),
		'section'     => 'bakery_cafe_blog_slide_section',
		'default'     => false,
		'priority'    => 10,
		'choices'     => [
			'on'  => esc_html__( 'Enable', 'bakery-cafe' ),
			'off' => esc_html__( 'Disable', 'bakery-cafe' ),
		],
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'switch',
		'settings'    => 'bakery_cafe_slide_title_enable_disable',
		'label'       => esc_html__( 'Slide Title Enable / Disable', 'bakery-cafe' ),
		'section'     => 'bakery_cafe_blog_slide_section',
		'default'     => '1',
		'priority'    => 10,
		'choices'     => [
			'on'  => esc_html__( 'Enable', 'bakery-cafe' ),
			'off' => esc_html__( 'Disable', 'bakery-cafe' ),
		],
	] );

	 Kirki::add_field( 'theme_config_id', [
		'type'        => 'switch',
		'settings'    => 'bakery_cafe_slide_text_enable_disable',
		'label'       => esc_html__( 'Slide Text Enable / Disable', 'bakery-cafe' ),
		'section'     => 'bakery_cafe_blog_slide_section',
		'default'     => '1',
		'priority'    => 10,
		'choices'     => [
			'on'  => esc_html__( 'Enable', 'bakery-cafe' ),
			'off' => esc_html__( 'Disable', 'bakery-cafe' ),
		],
		'partial_refresh'    => [
		'bakery_cafe_slide_text_enable_disable' => [
			'selector'        => '.blog_box h3',
			'render_callback' => function() {
				return get_bloginfo( 'name', 'display' );
			},
		],
	],
	] );

    Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'bakery_cafe_slider_heading',
		'section'     => 'bakery_cafe_blog_slide_section',
			'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Slider', 'bakery-cafe' ) . '</h3>',
		'priority'    => 10,
	] );

    Kirki::add_field( 'theme_config_id', [
		'type'        => 'number',
		'settings'    => 'bakery_cafe_blog_slide_number',
		'label'       => esc_html__( 'Number of slides to show', 'bakery-cafe' ),
		'section'     => 'bakery_cafe_blog_slide_section',
		'default'     => 0,
		'choices'     => [
			'min'  => 0,
			'max'  => 6,
			'step' => 1,
		],
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'select',
		'settings'    => 'bakery_cafe_blog_slide_category',
		'label'       => esc_html__( 'Select the category to show slider ( Image Dimension 1600 x 600 )', 'bakery-cafe' ),
		'section'     => 'bakery_cafe_blog_slide_section',
		'default'     => '',
		'placeholder' => esc_html__( 'Select an category...', 'bakery-cafe' ),
		'priority'    => 10,
		'choices'     => bakery_cafe_get_categories_select(),
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'bakery_cafe_excerpt_number',
		'section'     => 'bakery_cafe_blog_slide_section',
			'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Number Of Text', 'bakery-cafe' ) . '</h3>',
		'priority'    => 10,
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'slider',
		'settings'    => 'bakery_cafe_slide_excerpt_number',
		'label'       => esc_html__( 'Slide Content Range', 'bakery-cafe' ),
		'section'     => 'bakery_cafe_blog_slide_section',
		'default'     => 15,
		'choices'     => [
			'min'  => 0,
			'max'  => 100,
			'step' => 1,
		],
	] );

    Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'bakery_cafe_slider_button_heading',
		'section'     => 'bakery_cafe_blog_slide_section',
			'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Slider Button Text', 'bakery-cafe' ) . '</h3>',
		'priority'    => 10,
	] );

    Kirki::add_field( 'theme_config_id', [
		'type'     => 'text',
		'settings' => 'bakery_cafe_slider_button_text',
		'section'  => 'bakery_cafe_blog_slide_section',
		'default'  => '',
		'priority' => 10,
	] );

	Kirki::add_field( 'theme_config_id', [
	'type'        => 'custom',
	'settings'    => 'bakery_cafe_slider_button_heading_22',
	'section'     => 'bakery_cafe_blog_slide_section',
		'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Content Alignment', 'bakery-cafe' ) . '</h3>',
	'priority'    => 10,
] );

	new \Kirki\Field\Select(
	[
		'settings'    => 'bakery_cafe_slider_content_alignment',
		'label'       => esc_html__( 'Slider Content Alignment', 'bakery-cafe' ),
		'section'     => 'bakery_cafe_blog_slide_section',
		'default'     => 'CENTER-ALIGN',
		'placeholder' => esc_html__( 'Choose an option', 'bakery-cafe' ),
		'choices'     => [
			'LEFT-ALIGN' => esc_html__( 'LEFT-ALIGN', 'bakery-cafe' ),
			'CENTER-ALIGN' => esc_html__( 'CENTER-ALIGN', 'bakery-cafe' ),
			'RIGHT-ALIGN' => esc_html__( 'RIGHT-ALIGN', 'bakery-cafe' ),

		],
	] );

	new \Kirki\Field\Select(
	[
		'settings'    => 'bakery_cafe_slider_opacity_color',
		'label'       => esc_html__( 'Slider Opacity Option', 'bakery-cafe' ),
		'section'     => 'bakery_cafe_blog_slide_section',
		'default'     => '0.6',
		'placeholder' => esc_html__( 'Choose an option', 'bakery-cafe' ),
		'choices'     => [
			'0' => esc_html__( '0', 'bakery-cafe' ),
			'0.1' => esc_html__( '0.1', 'bakery-cafe' ),
			'0.2' => esc_html__( '0.2', 'bakery-cafe' ),
			'0.3' => esc_html__( '0.3', 'bakery-cafe' ),
			'0.4' => esc_html__( '0.4', 'bakery-cafe' ),
			'0.5' => esc_html__( '0.5', 'bakery-cafe' ),
			'0.6' => esc_html__( '0.6', 'bakery-cafe' ),
			'0.7' => esc_html__( '0.7', 'bakery-cafe' ),
			'0.8' => esc_html__( '0.8', 'bakery-cafe' ),
			'0.9' => esc_html__( '0.9', 'bakery-cafe' ),
			'1.0' => esc_html__( '1.0', 'bakery-cafe' ),
			

		],
	] );

	 Kirki::add_field( 'theme_config_id', [
		'type'        => 'switch',
		'settings'    => 'bakery_cafe_overlay_option',
		'label'       => esc_html__( 'Enable / Disable Slider Overlay', 'bakery-cafe' ),
		'section'     => 'bakery_cafe_blog_slide_section',
		'default'     => false,
		'priority'    => 10,
		'choices'     => [
			'on'  => esc_html__( 'Enable', 'bakery-cafe' ),
			'off' => esc_html__( 'Disable', 'bakery-cafe' ),
		],
	] );

	 Kirki::add_field( 'theme_config_id', [
		'type'        => 'color',
		'settings'    => 'bakery_cafe_slider_image_overlay_color',
		'label'       => __( 'choose your Appropriate Overlay Color', 'bakery-cafe' ),
		'section'     => 'bakery_cafe_blog_slide_section',
		'default'     => '',
	] );


	// OUR STORY SECTION

	Kirki::add_section( 'bakery_cafe_our_story_section', array(
        'title'          => esc_html__( 'Our Story Settings', 'bakery-cafe' ),
        'description'    => esc_html__( 'You have to select page to show our story section.', 'bakery-cafe' ),
        'panel'          => 'bakery_cafe_panel_id',
        'priority'       => 160,
    ) );

    Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'bakery_cafe_services_enable_heading',
		'section'     => 'bakery_cafe_our_story_section',
			'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Enable / Disable Our Story Section', 'bakery-cafe' ) . '</h3>',
		'priority'    => 10,
	] );

    Kirki::add_field( 'theme_config_id', [
		'type'        => 'switch',
		'settings'    => 'bakery_cafe_our_story_enable',
		'label'       => esc_html__( 'Section Enable / Disable', 'bakery-cafe' ),
		'section'     => 'bakery_cafe_our_story_section',
		'default'     => false,
		'priority'    => 10,
		'choices'     => [
			'on'  => esc_html__( 'Enable', 'bakery-cafe' ),
			'off' => esc_html__( 'Disable', 'bakery-cafe' ),
		],
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'bakery_cafe_our_story_section_title_heading',
		'section'     => 'bakery_cafe_our_story_section',
			'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Section Title', 'bakery-cafe' ) . '</h3>',
		'priority'    => 10,
	] );

    Kirki::add_field( 'theme_config_id', [
		'type'     => 'text',
		'settings' => 'bakery_cafe_our_story_section_title',
		'section'  => 'bakery_cafe_our_story_section',
		'default'  => '',
		'priority' => 10,
		'partial_refresh'    => [
		'bakery_cafe_our_story_section_title' => [
			'selector'        => '#story h3',
			'render_callback' => function() {
				return get_bloginfo( 'name', 'display' );
			},
		],
	],
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'bakery_cafe_our_story_image1_heading',
		'section'     => 'bakery_cafe_our_story_section',
			'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Image 1', 'bakery-cafe' ) . '</h3>',
		'priority'    => 10,
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'image',
		'settings'    => 'bakery_cafe_our_story_image1',
		'section'     => 'bakery_cafe_our_story_section',
		'default'     => '',
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'bakery_cafe_our_story_image2_heading',
		'section'     => 'bakery_cafe_our_story_section',
			'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Image 2', 'bakery-cafe' ) . '</h3>',
		'priority'    => 10,
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'image',
		'settings'    => 'bakery_cafe_our_story_image2',
		'section'     => 'bakery_cafe_our_story_section',
		'default'     => '',
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'bakery_cafe_our_story_text_heading',
		'section'     => 'bakery_cafe_our_story_section',
			'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Heading', 'bakery-cafe' ) . '</h3>',
		'priority'    => 10,
	] );

    Kirki::add_field( 'theme_config_id', [
		'type'     => 'text',
		'settings' => 'bakery_cafe_our_story_heading_text',
		'section'  => 'bakery_cafe_our_story_section',
		'default'  => '',
		'priority' => 10,
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'bakery_cafe_our_story_page_heading',
		'section'     => 'bakery_cafe_our_story_section',
			'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Page Dropdown', 'bakery-cafe' ) . '</h3>',
		'priority'    => 10,
	] );

    Kirki::add_field( 'theme_config_id', [
		'type'        => 'dropdown-pages',
		'settings'    => 'bakery_cafe_our_story',
		'section'     => 'bakery_cafe_our_story_section',
		'default'     => 42,
		'priority'    => 10,
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'bakery_cafe_our_story_xcerpt_heading',
		'section'     => 'bakery_cafe_our_story_section',
			'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Number Of Text', 'bakery-cafe' ) . '</h3>',
		'priority'    => 10,
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'slider',
		'settings'    => 'bakery_cafe_story_excerpt_number',
		'label'       => esc_html__( 'About Us Content Range', 'bakery-cafe' ),
		'section'     => 'bakery_cafe_our_story_section',
		'default'     => 50,
		'choices'     => [
			'min'  => 0,
			'max'  => 100,
			'step' => 1,
		],
	] );

	// FOOTER SECTION

	Kirki::add_section( 'bakery_cafe_footer_section', array(
        'title'          => esc_html__( 'Footer Settings', 'bakery-cafe' ),
        'description'    => esc_html__( 'Here you can change copyright text', 'bakery-cafe' ),
        'panel'          => 'bakery_cafe_panel_id',
        'priority'       => 160,
    ) );

		Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'bakery_cafe_footer_enable_heading',
		'section'     => 'bakery_cafe_footer_section',
			'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Enable / Disable Footer Link', 'bakery-cafe' ) . '</h3>',
		'priority'    => 10,
	] );

		Kirki::add_field( 'theme_config_id', [
		'type'        => 'switch',
		'settings'    => 'bakery_cafe_copyright_enable',
		'label'       => esc_html__( 'Section Enable / Disable', 'bakery-cafe' ),
		'section'     => 'bakery_cafe_footer_section',
		'default'     => '1',
		'priority'    => 10,
		'choices'     => [
			'on'  => esc_html__( 'Enable', 'bakery-cafe' ),
			'off' => esc_html__( 'Disable', 'bakery-cafe' ),
		],
	] );

    Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'bakery_cafe_footer_text_heading',
		'section'     => 'bakery_cafe_footer_section',
			'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Footer Copyright Text', 'bakery-cafe' ) . '</h3>',
		'priority'    => 10,
	] );

    Kirki::add_field( 'theme_config_id', [
		'type'     => 'text',
		'settings' => 'bakery_cafe_footer_text',
		'section'  => 'bakery_cafe_footer_section',
		'default'  => '',
		'priority' => 10,
		'partial_refresh'    => [
		'bakery_cafe_footer_text' => [
			'selector'        => '.copy-text p',
			'render_callback' => function() {
				return get_bloginfo( 'name', 'display' );
			},
		],
	],
	] );

		Kirki::add_field( 'theme_config_id', [
	'type'        => 'custom',
	'settings'    => 'bakery_cafe_footer_text_heading_2',
	'section'     => 'bakery_cafe_footer_section',
		'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Footer Copyright Alignment', 'bakery-cafe' ) . '</h3>',
	'priority'    => 10,
	] );

	new \Kirki\Field\Select(
	[
		'settings'    => 'bakery_cafe_copyright_text_alignment',
		'label'       => esc_html__( 'Copyright text Alignment', 'bakery-cafe' ),
		'section'     => 'bakery_cafe_footer_section',
		'default'     => 'CENTER-ALIGN',
		'placeholder' => esc_html__( 'Choose an option', 'bakery-cafe' ),
		'choices'     => [
			'LEFT-ALIGN' => esc_html__( 'LEFT-ALIGN', 'bakery-cafe' ),
			'CENTER-ALIGN' => esc_html__( 'CENTER-ALIGN', 'bakery-cafe' ),
			'RIGHT-ALIGN' => esc_html__( 'RIGHT-ALIGN', 'bakery-cafe' ),

		],
	] );

	Kirki::add_field( 'theme_config_id', [
	'type'        => 'custom',
	'settings'    => 'bakery_cafe_footer_text_heading_1',
	'section'     => 'bakery_cafe_footer_section',
		'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Footer Copyright Background Color', 'bakery-cafe' ) . '</h3>',
	'priority'    => 10,
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'color',
		'settings'    => 'bakery_cafe_copyright_bg',
		'label'       => __( 'Choose Your Copyright Background Color', 'bakery-cafe' ),
		'section'     => 'bakery_cafe_footer_section',
		'default'     => '',
	] );
}
